cURL
curl --request POST \ --url https://api.gumloop.com/api/v1/kill_pipeline \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "run_id": "<string>", "user_id": "<string>", "project_id": "<string>" } '
{ "success": true, "run_id": "<string>" }
This endpoint is used to kill a flow run and all its subflow runs.
Documentation IndexFetch the complete documentation index at: https://docs.gumloop.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.gumloop.com/llms.txt
Use this file to discover all available pages before exploring further.
A personal API key or an OAuth 2.0 access token. Personal API keys also require the x-auth-key header with your user ID.
x-auth-key
The ID of the pipeline run to kill.
The user ID. Required if project_id is not provided.
The project ID. Required if user_id is not provided.
Pipeline killed successfully
The ID of the killed pipeline run.
Was this page helpful?